Subject: Re: randconfig build error with next-20150529, in crypto/jitterentropy.c

From: Guenter Roeck <[email-masked]>
Date: Mon, 08 Jun 2015 16:51:24 -0700

On 06/08/2015 04:33 PM, Stephan Mueller wrote:
> Am Monday 08 June 2015, 16:30:09 schrieb Guenter Roeck:
>
> Hi Guenter,
>
>>
>> get_cycles is implemented as static inline which executes mfspr(SPR_TTCR).
>> SPR_TTCR is a constant. Normally that information seems to be passed on,
>> but not when get_cycles() is compiled through jitterentropy.
>>
>> Any idea what might cause this ?
>
> Then it may be the optimization issue as well that Peter indicated. May I ask
> you for testing purposes (I do not have an OpenRISC) to remove the following
> line from crypto/Makefile:
>
> CFLAGS_jitterentropy.o = -O0
>

Yes, that fixes the problem (after I also removed the associated #error from
jitterentropy.c).

Guenter